Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
Class DOMCategory

author:
  sam

author:
  paulk

Field Summary
`boolean` | `trimWhitespace`

Constructor Summary
`DOMCategory()`

Method Summary
`static void` | `addResult(List results, Object result)`
`static Element` | `appendNode(Element self, Object name)`
`static Element` | `appendNode(Element self, Object name, Map attributes)`
`static Element` | `appendNode(Element self, Object name, String value)`
`static Element` | `appendNode(Element self, Object name, Map attributes, String value)`
`static NamedNodeMap` | `attributes(Element element)`
`static NodeList` | `breadthFirst(Element self)`
`static NodeList` | `children(Element self)`
`static NodeList` | `createNodeList(Element self)`
`static NodeList` | `depthFirst(Element self)`
`static Object` | `get(Object o, String elementName)`
`static Object` | `get(Element element, String elementName)`
`static Object` | `get(NodeList nodeList, String elementName)`
`static Object` | `get(NamedNodeMap nodeMap, String elementName)`
`static Object` | `getAt(Element element, String elementName)`
`static Object` | `getAt(NodeList nodeList, String elementName)`
`static String` | `getAt(NamedNodeMap namedNodeMap, String elementName)`
`static Node` | `getAt(Node o, int i)`
`static Node` | `getAt(NodeListsHolder o, int i)`
`static Node` | `getAt(NodesHolder o, int i)`
`static Node` | `getAt(Element element, int i)`
`static Node` | `getAt(NodeList nodeList, int i)`
`static NodeList` | `getChildElements(Element self, String elementName)`
`static NodeList` | `getNextLevel(NodeList thisLevel)`
`static boolean` | `hasChildElements(Element self, String elementName)`
`static boolean` | `isEmpty(NodeList self)`
`static List` | `list(NodeList self)`
`static String` | `name(Element element)`
`static Node` | `nodeGetAt(Object o, int i)`
`static Node` | `parent(Node node)`
`static void` | `putAt(Element self, String property, Object value)`
`static void` | `setValue(Element self, String value)`
`static int` | `size(NamedNodeMap namedNodeMap)`
`static int` | `size(NodeList self)`
`static String` | `text(Object o)`
`static String` | `text(Element element)`
`static String` | `text(NodeList nodeList)`
`static String` | `toString(Object o)`
`static String` | `toString(NodeList self)`

Constructor Detail

### DOMCategory

    DOMCategory()

Method Detail

### addResult

    static void addResult(List results, Object result)

### appendNode

    public static Element appendNode(Element self, Object name)

### appendNode

    public static Element appendNode(Element self, Object name, Map attributes)

### appendNode

    public static Element appendNode(Element self, Object name, String value)

### appendNode

    public static Element appendNode(Element self, Object name, Map attributes, String value)

### attributes

    public static NamedNodeMap attributes(Element element)

### breadthFirst

    public static NodeList breadthFirst(Element self)

### children

    public static NodeList children(Element self)

### createNodeList

    static NodeList createNodeList(Element self)

### depthFirst

    public static NodeList depthFirst(Element self)

### get

    public static Object get(Object o, String elementName)

### get

    static Object get(Element element, String elementName)

### get

    static Object get(NodeList nodeList, String elementName)

### get

    static Object get(NamedNodeMap nodeMap, String elementName)

### getAt

    static Object getAt(Element element, String elementName)

### getAt

    static Object getAt(NodeList nodeList, String elementName)

### getAt

    static String getAt(NamedNodeMap namedNodeMap, String elementName)

### getAt

    public static Node getAt(Node o, int i)

### getAt

    public static Node getAt(NodeListsHolder o, int i)

### getAt

    public static Node getAt(NodesHolder o, int i)

### getAt

    static Node getAt(Element element, int i)

### getAt

    static Node getAt(NodeList nodeList, int i)

### getChildElements

    static NodeList getChildElements(Element self, String elementName)

### getNextLevel

    static NodeList getNextLevel(NodeList thisLevel)

### hasChildElements

    static boolean hasChildElements(Element self, String elementName)

### isEmpty

    public static boolean isEmpty(NodeList self)

### list

    public static List list(NodeList self)

### name

    public static String name(Element element)

### nodeGetAt

    static Node nodeGetAt(Object o, int i)

### parent

    public static Node parent(Node node)

### putAt

    public static void putAt(Element self, String property, Object value)

### setValue

    public static void setValue(Element self, String value)

### size

    public static int size(NamedNodeMap namedNodeMap)

### size

    public static int size(NodeList self)

### text

    public static String text(Object o)

### text

    static String text(Element element)

### text

    static String text(NodeList nodeList)

### toString

    public static String toString(Object o)

### toString

    static String toString(NodeList self)